#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>
#include <printf.h>

RF24 radio(48,53);
const byte rxAddress[6]="00001";

int LM35=A0;
int value=0;
float voltage;
float temp=0.0;

void setup()
{
  pinMode(LM35,INPUT);
  
  Serial.begin(9600);
  printf_begin();
  
  if(!radio.begin()) Serial.println("Inicialization failed!");
  radio.setPALevel(RF24_PA_MAX);
  radio.setRetries(15,15);
  radio.openWritingPipe(rxAddress);
  radio.stopListening();
}

void loop()
{
  value=analogRead(LM35);
  voltage=(5.0/1024.0)*value;
  temp=voltage*100.0;
  Serial.println(temp);
  
  radio.write(&temp, sizeof(float));
  delay(1000);
}
