int trigger=5;
int echo=4;
int buzzer=11;
long distance;

void setup() {
  // put your setup code here, to run once:
  Serial.begin(9600);
  pinMode(trigger,OUTPUT);
  pinMode(echo,INPUT);
  pinMode(buzzer,OUTPUT);
}

long Distance(int trigger, int echo)
{
  long Time;
  
  digitalWrite(trigger, LOW);
  delayMicroseconds(2);
  digitalWrite(trigger, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigger,LOW);

  Time = pulseIn(echo,HIGH);
  return Time/58.0;
}

void loop() {
  // put your main code here, to run repeatedly:
  distance=Distance(trigger, echo);
  Serial.print("Distance=");
  Serial.print(distance);
  Serial.println(" cm");
  
  analogWrite(buzzer, 200);
  delay(100);
  analogWrite(buzzer,0);
  delay(distance);
}
