#include <Wire.h>
#include <OneWire.h>
#include <DallasTemperature.h>

#define ONE_WIRE_BUS 3

OneWire oneWire(ONE_WIRE_BUS);
DallasTemperature sensors(&oneWire);

void setup()
{
   Serial.begin(9600);
   sensors.begin(); 
}

void loop()
{
   sensors.requestTemperatures();   
   Serial.println(sensors.getTempCByIndex(0));
   delay(100);
}
